Skip to main content
POST
/
transfer
/
deposit-addresses
Create Deposit Address
curl --request POST \
  --url https://api.paxos.com/v2/transfer/deposit-addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
  "crypto_network": "ETHEREUM",
  "identity_id": "54385e67-d7ef-40d1-b488-ceda6dd9b264",
  "ref_id": "deposit_address_0",
  "metadata": {
    "my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5"
  }
}
'
import requests

url = "https://api.paxos.com/v2/transfer/deposit-addresses"

payload = {
"profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
"crypto_network": "ETHEREUM",
"identity_id": "54385e67-d7ef-40d1-b488-ceda6dd9b264",
"ref_id": "deposit_address_0",
"metadata": { "my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile_id: 'b7b77d82-e6a7-4ae9-9904-36231aedf985',
crypto_network: 'ETHEREUM',
identity_id: '54385e67-d7ef-40d1-b488-ceda6dd9b264',
ref_id: 'deposit_address_0',
metadata: {my_id: '4024ee50-eefb-4f2e-85c7-e7899c0b7da5'}
})
};

fetch('https://api.paxos.com/v2/transfer/deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "34bd61ed-cf0a-4012-8be4-d347667b6154",
  "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
  "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339",
  "identity_id": "54385e67-d7ef-40d1-b488-ceda6dd9b264",
  "ref_id": "deposit_address_0",
  "crypto_network": "ETHEREUM",
  "address": "0x89205A3A3b2A69De6Dbf7f01ED13B2108B2c43e7",
  "conversion_target_asset": "USD",
  "compatible_crypto_networks": [
    "ETHEREUM",
    "POLYGON_POS",
    "BASE",
    "ARBITRUM_ONE",
    "INK",
    "XLAYER",
    "ROBINHOOD"
  ],
  "metadata": {
    "my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5"
  },
  "created_at": "2020-01-17T18:36:08.737Z"
}
OAuth Scope
transfer:write_deposit_address
{
  "id": "34bd61ed-cf0a-4012-8be4-d347667b6154",
  "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
  "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339",
  "identity_id": "54385e67-d7ef-40d1-b488-ceda6dd9b264",
  "ref_id": "deposit_address_0",
  "crypto_network": "ETHEREUM",
  "address": "0x89205A3A3b2A69De6Dbf7f01ED13B2108B2c43e7",
  "conversion_target_asset": "USD",
  "compatible_crypto_networks": [
    "ETHEREUM",
    "POLYGON_POS",
    "BASE",
    "ARBITRUM_ONE",
    "INK",
    "XLAYER",
    "ROBINHOOD"
  ],
  "metadata": {
    "my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5"
  },
  "created_at": "2020-01-17T18:36:08.737Z"
}

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Body

application/json
profile_id
string
required

The target profile for deposit crediting.

crypto_network
enum<string>
required

A CryptoNetwork is a blockchain transmitting cryptocurrencies.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER
identity_id
string

The Paxos Identity associated with this deposit address.

ref_id
string

Client-specified ID for replay protection and lookup.

metadata
object

Optional client-specified metadata, which will be added to both the deposit address itself and transfers to the created address. Up to 6 key/value pairs may be provided. Each key and value must be less than or equal to 100 characters.

account_id
string

The Paxos Account associated with this deposit address.

conversion_target_asset
enum<string>

Asset to credit for deposits of Paxos-minted USD stablecoin.

Available options:
NO_CONVERSION,
USD

Response

A successful response.

id
string
required

The UUID of the deposit address.

profile_id
string
required

The ID of the profile that will be credited when a deposit arrives with this address.

customer_id
string
required

The Paxos Customer to which the profile belongs.

crypto_network
enum<string>
required

A CryptoNetwork is a blockchain transmitting cryptocurrencies.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER
address
string
required

The crypto address to send to for deposits.

conversion_target_asset
enum<string>
required

Asset to credit for deposits of Paxos-minted USD stablecoin.

Available options:
NO_CONVERSION,
USD
created_at
string<date-time>
required

The time at which this address was created.

identity_id
string

The Identity of the end user who will make deposits to this address.

ref_id
string

Client-specified ID for replay protection and lookup.

metadata
object

Optional client-specified metadata, which is set on deposit address creation. Up to 6 key/value pairs may be returned. Each key and value must be less than or equal to 100 characters.

account_id
string

The Account associated to the identity of the user that will be linked to the created address.

compatible_crypto_networks
enum<string>[]

List of networks compatible with the created address. Any of these networks can be used to deposit to the address.

A CryptoNetwork is a blockchain transmitting cryptocurrencies.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER